Skip to main content
curl https://api.chargeapi.co/v1/fleets/flt_n1WHNYH5qmXKy9nK7hUmxoOVrT7DSGqm \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "flt_n1WHNYH5qmXKy9nK7hUmxoOVrT7DSGqm",
    "object": "fleet",
    "address": {
        "city": "Paris",
        "country": "FR",
        "line1": "10 Rue de la Paix",
        "line2": "Batiment A",
        "postal_code": "75002",
        "state": "Ile-de-France"
    },
    "created": "2026-04-01T00:46:18.131Z",
    "description": null,
    "email": "example@example.com",
    "metadata": {},
    "metric_system": "international_system",
    "name": "Example Fleet",
    "phone": null,
    "policy_ids": ["pol_FmmuAUMHjlw212kNzq4XtmTJcDufurMA"],
    "preferences": {
        "billing_cycle": "monthly",
        "default_currency": "eur",
        "default_payment_method": null,
        "notifications": true,
        "report_frequency": "weekly"
    },
    "status": "active",
    "timezone": "Europe/Paris",
    "total_drivers": 24,
    "total_energy_consumed_kwh": 4825.4,
    "total_sessions": 186,
    "total_vehicles": 18,
    "updated": "2026-04-01T01:46:20.209Z",
    "wallet_balance": 32150
}
Retrieves a fleet.
curl https://api.chargeapi.co/v1/fleets/flt_n1WHNYH5qmXKy9nK7hUmxoOVrT7DSGqm \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "flt_n1WHNYH5qmXKy9nK7hUmxoOVrT7DSGqm",
    "object": "fleet",
    "address": {
        "city": "Paris",
        "country": "FR",
        "line1": "10 Rue de la Paix",
        "line2": "Batiment A",
        "postal_code": "75002",
        "state": "Ile-de-France"
    },
    "created": "2026-04-01T00:46:18.131Z",
    "description": null,
    "email": "example@example.com",
    "metadata": {},
    "metric_system": "international_system",
    "name": "Example Fleet",
    "phone": null,
    "policy_ids": ["pol_FmmuAUMHjlw212kNzq4XtmTJcDufurMA"],
    "preferences": {
        "billing_cycle": "monthly",
        "default_currency": "eur",
        "default_payment_method": null,
        "notifications": true,
        "report_frequency": "weekly"
    },
    "status": "active",
    "timezone": "Europe/Paris",
    "total_drivers": 24,
    "total_energy_consumed_kwh": 4825.4,
    "total_sessions": 186,
    "total_vehicles": 18,
    "updated": "2026-04-01T01:46:20.209Z",
    "wallet_balance": 32150
}

Parameters

No parameters.

Returns

Returns the fleet.